## org.apache.aries.subsystem.core.archive
Class SubsystemSymbolicNameHeader

    java.lang.Object
      org.apache.aries.subsystem.core.archive.AbstractHeader
          org.apache.aries.subsystem.core.archive.SymbolicNameHeader
              org.apache.aries.subsystem.core.archive.SubsystemSymbolicNameHeader

All Implemented Interfaces:
  Header

    public class SubsystemSymbolicNameHeader

extends SymbolicNameHeader

Field Summary
`static String` `NAME`

Fields inherited from class org.apache.aries.subsystem.core.archive.AbstractHeader
`clauses, name, PATTERN, REGEX, value`

Constructor Summary
`SubsystemSymbolicNameHeader(String value)`

Method Summary

Methods inherited from class org.apache.aries.subsystem.core.archive.SymbolicNameHeader
`getSymbolicName`

Methods inherited from class org.apache.aries.subsystem.core.archive.AbstractHeader
`appendResource, getClauses, getName, getValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### SubsystemSymbolicNameHeader

    public SubsystemSymbolicNameHeader(String value)

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.